/*
 A Macro to add formatting to Final Writer Bibliographies, Indices, Endnotes, etc
 Written by Ronald Goertz
 $VER: AddFormatting.rexx v1.0 (8 Dec 95)
*/

Options Results

/* add libraries */
if exists('libs:rexxreqtools.library') then call addlib('rexxreqtools.library',0,-30,0)
else exit

TypeStyle   = 'i u b'
TypeStyle.1 = 'Italic'
TypeStyle.2 = 'Underline'
TypeStyle.3 = 'Bold'

SetFind case Ignore Wrap No
Find d2c(1) /* Just make sure requestor is open */

Do ts = 1 to Words(TypeStyle)
   AltDown;CtrlDown;Cursor Up;CtrlUp;AltUp
   Find '_'Word(TypeStyle, ts)'_'
   Status ParaPos; parse var result StartPara StartPos EndPara EndPos
   Do while EndPara ~= ''
      Delete
      Status ParaPos; parse var result StartPara StartPos
      FindNext
      Delete
      ShiftDown
         MoveToPara StartPara StartPos
      ShiftUp
      Style TypeStyle.ts
      Cursor Left
      FindNext
      Status ParaPos; parse var result StartPara StartPos EndPara EndPos
   end
end

GetSectionSetup Name
if (result == 'Bibliography')|(result == 'Endnotes') then do
   AltDown;CtrlDown;Cursor Down;CtrlUp;AltUp
   Status ParaPos; parse var result ParaCount .
   if ParaCount < 4 then break
   do i = ParaCount to 4 by -1
      MoveToPara i 0
      Type d2c(13)
   end
end

Find d2c(1)'Done formatting'd2c(1)
